Method: partners.channels.sites.replace

  • This method replaces all existing sites under a specific channel with a new list of sites provided in the request.

  • Due to potentially high latency with this method, increasing your default timeout is recommended to prevent errors.

  • The request requires specifying the channelId and the owner of the channel (either partnerId or advertiserId) as path parameters.

  • The request body must contain a list of newSites objects, representing the sites that will replace the current ones.

  • Successful execution returns a ReplaceSitesResponse and requires the https://www.googleapis.com/auth/display-video OAuth scope.

Replaces all of the sites under a single channel.

The operation will replace the sites under a channel with the sites provided in ReplaceSitesRequest.new_sites.

This method regularly experiences high latency. We recommend increasing your default timeout to avoid errors.

HTTP request

POST https://displayvideo.googleapis.com/v4/partners/{partnerId}/channels/{channelId}/sites:replace

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
channelId

string (int64 format)

Required. The ID of the parent channel whose sites will be replaced.

Required. Identifies the DV360 entity that owns the parent channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the partner that owns the parent channel.

End of mutually exclusive fields.

Request body

The request body contains data with the following structure:

JSON representation
{
  "newSites": [
    {
      object (Site)
    }
  ],

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "advertiserId": string
  // End of mutually exclusive fields.
}
Fields
newSites[]

object (Site)

The sites that will replace the existing sites assigned to the channel, specified as a list of Sites.

Required. Identifies the DV360 entity that owns the parent channel. It can be either a partner or an advertiser. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
partnerId

string (int64 format)

The ID of the partner that owns the parent channel.

advertiserId

string (int64 format)

The ID of the advertiser that owns the parent channel.

End of mutually exclusive fields.

Response body

If successful, the response body contains an instance of ReplaceSitesResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/display-video

For more information, see the OAuth 2.0 Overview.